<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.yeejoin.equipmanage.mapper.AreaMapper">
    <select id="findByIsDeleted" resultType="com.yeejoin.equipmanage.common.dto.AreaDto">
        SELECT
            a.id,
            a.`name`,
            a.`code`,
            a.parent_id
        FROM
            `wl_area` a
        <where>
            <if test="isDelete != null">
                a.is_delete = #{isDelete}
            </if>
        </where>
    </select>
</mapper>
